Bug 1809760 - etcd static pod does not wait for the host port to be released
Summary: etcd static pod does not wait for the host port to be released
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.0
Assignee: Sam Batschelet
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1806579
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-03 20:16 UTC by Sam Batschelet
Modified: 2020-05-04 11:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1806579
Environment:
Last Closed: 2020-05-04 11:44:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 227 0 None closed [release-4.4] Bug 1809760: waits for ports before starting etcd member 2020-03-26 08:44:39 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:44:47 UTC

Description Sam Batschelet 2020-03-03 20:16:21 UTC
+++ This bug was initially created as a clone of Bug #1806579 +++

Because the port will be held by a *different* static pod during 4.3 to 4.4 upgrades, this cannot be done in an init container like the rest.  Instead, it must be embedded in the etcd container itself.

Comment 4 Ke Wang 2020-03-23 05:37:16 UTC
One revision: The related PR is https://github.com/openshift/cluster-etcd-operator/pull/227.

Comment 6 errata-xmlrpc 2020-05-04 11:44:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.